Subject: 28.2; New help-for-help hides user key bindings

From: Allen Li <[email-masked]>
Date: Sat, 01 Oct 2022 02:08:28 -0700

The new `help-for-help' bound to C-h C-h hides the user's key bindings.

I have bound a couple of commands to the C-h prefix to provide some
personalized help and occasionally I would type C-h C-h to double check
which commands I have bound, for some of the less frequently used ones.

Previously, this would show the normal prefix help which describes all
keys in the prefix map.  However, the new `help-for-help' does not do
so.

I suggest that the `help-for-help' command include any custom bindings
in the prefix map as a separate "Custom" section at the end so they can
still be found.

In GNU Emacs 28.2 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.34, cairo version 1.17.6)
 of 2022-09-12 built on frederik
Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
System Description: Arch Linux